# Class AddressGenericBase

java.lang.Object
com.ryanharter.auto.value.gson.example.wildgenerics.GenericBase<Address>
com.ryanharter.auto.value.gson.example.wildgenerics.AddressGenericBase

public abstract class AddressGenericBase extends GenericBase<Address>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AddressGenericBase.Builder`

## Constructor Summary

Constructors
Constructor
Description
`AddressGenericBase()`

## Method Summary

Modifier and Type
Method
Description
`static AddressGenericBase.Builder`
`builder()`
`abstract String`
`topLevelNonGeneric()`

### Methods inherited from class GenericBase

`collection, generic, notGeneric`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddressGenericBase

public AddressGenericBase()

## Method Details

### topLevelNonGeneric

public abstract String topLevelNonGeneric()

### builder

public static AddressGenericBase.Builder builder()